Subject: Re: bug#54990: Byte compiler bug

From: Mattias Engdegård <[email-masked]>
Date: Mon, 18 Apr 2022 17:43:46 +0200

18 apr. 2022 kl. 12.48 skrev Alan Mackenzie <[email-masked]>:

> I've committed a fix, which I'm pretty sure works, so I'm closing the bug
> with this post.

Very happy to see that you found a solution quickly!

A few items of concern:

1. There should be a regression test for it -- don't you agree?

2. Your solution comprises stripping position from symbols during the lowering of lapcode to bytecode. Why did this bug only affect `compile-defun`, not `byte-compile` or `byte-compile-file`? The change is in code common to all three.